## sword 1.9.0%2Bdfsg

=== bindings/csharp/Makefile ===
all: Sword.exe

Sword.exe:
	xbuild Sword.csproj /p:Configuration=Release

clean:
	xbuild Sword.csproj /p:Configuration=Release /t:Clean
