=== debian/control ===
Source: sword
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
               dh-python,
               libbz2-dev,
               liblzma-dev,
               libz-dev,
               pkg-config,
               libcurl4-gnutls-dev,
               libclucene-dev,
               libicu-dev,
               chrpath,
               swig,
               python3-dev,
               python3-setuptools,
               cmake
Section: libs
Priority: optional
Maintainer: CrossWire Packaging Team <pkg-crosswire-devel@alioth-lists.debian.net>
Uploaders: Daniel Glassey <wdg@debian.org>,
 Jonathan Marsden <jmarsden@fastmail.fm>,
 Dominique Corbex <dominique@corbex.org>,
 Teus Benschop <teusjannette@gmail.com>
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://www.crosswire.org/sword/
Vcs-Browser: https://salsa.debian.org/pkg-crosswire-team/sword
Vcs-Git: https://salsa.debian.org/pkg-crosswire-team/sword.git

Package: libsword1.9.0t64
Provides: ${t64:Provides}
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libsword-common, ${shlibs:Depends}, ${misc:Depends}
Recommends: sword-frontend
Breaks: libsword1.9.0 (<< ${source:Version}), libsword11v5 (>= 1.8), libsword-1.8.1
Replaces: libsword1.9.0, libsword11v5 (>= 1.8), libsword-1.8.1
Multi-Arch: same
Description: API/library for bible software
 The SWORD Project is an open source, cross-platform (Linux, Windows, Solaris,
 MacOSX etc.) API/library for Bible software with a constantly growing list
 of front-ends (GUI, textmode, web-based, etc.) and a library of over 200
 text modules.
 .
 This package contains the core libraries for the project.
 It also contains utilities for generating data modules.
 .
 Please read the README.Debian for more information on how to obtain other
 modules for SWORD.

Package: libsword-dev
Architecture: any
Section: libdevel
Depends: libsword1.9.0t64 (= ${binary:Version}), ${misc:Depends}
Recommends: libsword-utils
Multi-Arch: same
Description: Development files for libsword
 The SWORD Project is an open source, cross-platform (Linux, Windows, Solaris,
 MacOSX etc.) API/library for Bible software with a constantly growing list
 of front-ends (GUI, textmode, web-based, etc.) and a library of over 200
 text modules.
 .
 This package contains the static libraries and headers for developing
 applications that use the SWORD library.

Package: libsword-common
Architecture: all
Section: devel
Depends: ${misc:Depends}
Conflicts: libsword6, libsword7, libsword8
Replaces: libsword6, libsword7, libsword8
Multi-Arch: foreign
Description: common settings and module repository for libsword
 The SWORD Project is an open source, cross-platform (Linux, Windows, Solaris,
 MacOSX etc.) API/library for Bible software with a constantly growing list
 of front-ends (GUI, textmode, web-based, etc.) and a library of over 200
 text modules.
 .
 This package contains sword configuration and global module repository.

Package: libsword-utils
Architecture: any
Section: devel
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libsword6, libsword7, libsword8
Replaces: libsword6, libsword7, libsword8
Description: conversion utilities for bible documents in SWORD supported formats
 The SWORD Project is an open source, cross-platform (Linux, Windows, Solaris,
 MacOSX etc.) API/library for Bible software with a constantly growing list
 of front-ends (GUI, textmode, web-based, etc.) and a library of over 200
 text modules.
 .
 This package contains utilities to convert documents in various
 formats into those suitable to be used with SWORD library.

Package: python3-sword
Architecture: any
Section: python
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python3:Provides}
Description: Python 3 bindings for the SWORD bible library
 The SWORD Project is an open source, cross-platform (Linux, Windows, Solaris,
 MacOSX etc.) API/library for Bible software with a constantly growing list
 of front-ends (GUI, textmode, web-based, etc.) and a library of over 200
 text modules.
 .
 This package contains the Python 3 bindings for SWORD.

Package: diatheke
Architecture: any
Section: text
Provides: sword-frontend
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: command line bible browsing and search tool
 The SWORD Project is an open source, cross-platform (Linux, Windows, Solaris,
 MacOSX etc.) API/library for Bible software with a constantly growing list
 of front-ends (GUI, textmode, web-based, etc.) and a library of over 200
 text modules.
 .
 This package contains a command line utility for SWORD, allowing
 bible browsing and searching. This tool is used mostly only for
 library testing. Nicer front-ends are Xiphos (Gtk), Bibletime (Qt)
 and others.
