=== debian/changelog ===
sword (1.9.0+dfsg-8) unstable; urgency=medium

  * Team upload
  * Remove unnecessary python3:Provides
  * Override minimum CMake version (Closes: #1113555)
  * Enable autopkgtest

 -- Bastian Germann <bage@debian.org>  Mon, 01 Sep 2025 11:43:52 +0200

sword (1.9.0+dfsg-7) unstable; urgency=medium

  * Team upload
  * Add Build-Depends: python3-setuptools (Closes: #1080805)

 -- Bastian Germann <bage@debian.org>  Sun, 08 Sep 2024 17:40:54 +0000

sword (1.9.0+dfsg-6) unstable; urgency=medium

  * Add ftpparse public domain statement

 -- Bastian Germann <bage@debian.org>  Sun, 03 Mar 2024 14:47:44 +0000

sword (1.9.0+dfsg-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062936

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 17:52:34 +0000

sword (1.9.0+dfsg-5) unstable; urgency=medium

  * Team upload
  * Remove unnecessary perl
  * Remove old repack script
  * Remove obvious quilt info
  * Remove bzr-builddeb cruft
  * Install python with deb layout (Closes: #1054784)

 -- Bastian Germann <bage@debian.org>  Fri, 27 Oct 2023 22:32:31 +0000

sword (1.9.0+dfsg-4) unstable; urgency=medium

  [ Teus Benschop ]
  * Add debian/gbp.conf
  * d/gbp.conf update

  [ Bastian Germann ]
  * Set absolute libdir to find CLucene/clucene-config.h

 -- Teus Benschop <teusbenschop@debian.org>  Sat, 19 Dec 2020 14:12:23 +0100

sword (1.9.0+dfsg-3) unstable; urgency=medium

  * update standards-version
  * new API upload to unstable after release team ack

 -- Teus Benschop <teusbenschop@debian.org>  Fri, 27 Nov 2020 21:02:38 +0100

sword (1.9.0+dfsg-2) experimental; urgency=medium

  [ Bastian Germann ]
  * Team upload.
  * Fix DEB_HOST_* variable use in two contexts
  * Fix lintian: multi-arch-same-package-calls-pycompile

 -- Teus Benschop <teusbenschop@debian.org>  Thu, 12 Nov 2020 20:58:40 +0100

sword (1.9.0+dfsg-1) experimental; urgency=medium

  [ Bastian Germann ]
  * Team upload.
  * Drop Dimitri from uploaders
  * Add missing trailing newline
  * Reset repacksuffix to +dfsg
  * Refresh patches for 1.9.0
  * Exclude Android bindings
  * include/untgz.h was removed from upstream
  * Use upstream man pages
  * Rename the library pkg
  * Update to debhelper-compat 13
  * Amend d/copyright file
  * Enable all compressions
  * New upstream version 1.9.0+dfsg
  * Switch to cmake
  * Add package python3-sword (Closes: #950976)
  * d/copyright: Add more untgz-related info

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Use secure URI in Homepage field.
  * Drop unnecessary dependency on dh-autoreconf.
  * Rely on pre-initialized dpkg-architecture variables.
  * Fix day-of-week for changelog entry 1.5.5-1.

  [ Daniel Glassey ]
  * Replace man pages with ones from sword project repo
  * d/copyright use Files-Excluded feature instead of the
      dfsg.sh script for generating +dfsg tarballs

 -- Teus Benschop <teusbenschop@debian.org>  Wed, 11 Nov 2020 11:11:36 +0100

sword (1.8.1+dfsg-8.2) unstable; urgency=high

  * Non-maintainer upload.
  * Add workaround for building on mips64el. (Closes: #962230)

 -- Adrian Bunk <bunk@debian.org>  Thu, 18 Jun 2020 19:00:26 +0300

sword (1.8.1+dfsg-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fixed ICU checking. Thanks to László Böszörményi <gcs@debian.org>.
    (Closes: #962265)

 -- Gleisson Jesuino Joaquim Cardoso <gleissoncg2@gmail.com>  Mon, 08 Jun 2020 21:39:54 -0300
