=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
  Dominique Corbex <dominique@corbex.org>,
  Teus Benschop <teusjannette@gmail.com>
 Standards-Version: 4.5.1
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 Homepage: https://www.crosswire.org/sword/
 Vcs-Browser: https://salsa.debian.org/pkg-crosswire-team/sword
 Vcs-Git: https://salsa.debian.org/pkg-crosswire-team/sword.git
@@ -97,7 +97,6 @@
 Architecture: any
 Section: python
 Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
-Provides: ${python3:Provides}
 Description: Python 3 bindings for the SWORD bible library
  The SWORD Project is an open source, cross-platform (Linux, Windows, Solaris,
  MacOSX etc.) API/library for Bible software with a constantly growing list
