=== debian/rules ===
#!/usr/bin/make -f
DH_VERBOSE := 1
include /usr/share/dpkg/architecture.mk

WFLAGS   := -Wall
# Hardening
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with python3 -Scmake

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_INSTALL_DIR="/usr/lib/$(DEB_HOST_MULTIARCH)" -DSYSCONF_INSTALL_DIR=/etc -DCMAKE_POLICY_VERSION_MINIMUM=3.5 -DSWORD_PYTHON_3:BOOL=TRUE

override_dh_install:
	-chrpath -d debian/tmp/usr/bin/*
	-chrpath -d debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*so*
	dh_install
	# Don't embed absolute build path in wrapper scripts
	sed -i '/# Add our own library path TO LD_LIBRARY_PATH/d' debian/*/usr/bin/*
	sed -i '/LD_LIBRARY_PATH="\//d' debian/*/usr/bin/*
	# Remove empty directory: usr/share/sword/modules
	-rmdir debian/libsword-common/usr/share/sword/modules
