=== debian/watch ===
# debian/watch
# Debian uscan file for `sword` package.
# Manpage: `uscan(1)`

# Compulsory line, this is a version 4 file
version=4

# Releases at crosswire.org
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//,repacksuffix=+dfsg \
  https://www.crosswire.org/ftpmirror/pub/sword/source/v([\d\.]+)/sword-(.*)\.tar\.gz debian true
